### org.jfree.layouting

# Class LibLayoutBoot

- `AbstractBoot`
- - `org.jfree.layouting.LibLayoutBoot`

`public class LibLayoutBoot`
`extends AbstractBoot`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: LibLayoutBoot.java 6489 2008-11-28 14:53:40Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Method Summary

  `static LibLayoutBoot`

  `getInstance()`

  `protected ProjectInformation`

  `getProjectInfo()`
    Returns the project info.

  `static boolean`

  `isAsserationEnabled()`

  `protected Configuration`

  `loadConfiguration()`
    Loads the configuration.

  `static void`

  `main(String[] args)`

  `protected void`

  `performBoot()`
    Performs the boot.

## Method Details

### getInstance

    public static LibLayoutBoot getInstance()

### getProjectInfo

    protected ProjectInformation getProjectInfo()

> Returns the project info.
> Returns:
>   The project info.

### isAsserationEnabled

    public static boolean isAsserationEnabled()

### loadConfiguration

    protected Configuration loadConfiguration()

> Loads the configuration.
> Returns:
>   The configuration.

### main

    public static void main(String[] args)

### performBoot

    protected void performBoot()

> Performs the boot.